Evaluating Drupal 6.0

I’ve been trying out Drupal 6.0 and it looks like this will be one of the most painful upgrades. I tried it with a local copy of MacMegasite and I found that it broke almost everything.

I don’t use too many modules, but I use some pretty basic stuff like user points, buddy list, bbcode filter, adsense, service links, and twitter. None of them are compatible with Drupal 6 yet. It’s been in development for over a year, and most modules still haven’t been upgraded to work with it.

I avoided using betas of 6.0 because of the module compatibility problems, and I find that the problem still exists in the release version. It looks like I won’t be upgrading any of my sites too soon.

One response to “Evaluating Drupal 6.0

  1. I'm always concerned about a new release, and you should always have to ask, as to why you think you need to upgrade. Perhaps you don't need to, or like in our case, we found modules we didn't know existed using http://www.druplet.com – so we now delayed our upgrade until a year later.

Leave a Reply